Skip to main content
News

Critical Flash Update: Patch Now

By March 14, 2018November 17th, 2022No Comments
|

Is this the end of Flash?

Adobe has acknowledged that all versions of Flash before 28.0.0.161 contain a critical vulnerability. This vulnerability allows “arbitrary code execution in the context of the current user.”

This sort of Remote Code Execution (RCE) flaw is used to force malware onto devices. You have two options: update Flash or remove it entirely.

Updating Flash will protect your devices, but Adobe has already declared they will be ending Flash support in 2020. Browsers like Chrome, Edge & Safari have already started blocking Flash with other browsers soon to follow suit. Why not jump ahead of the curve and remove the software entirely? Flash has proven to be not worth the trouble.

Whichever path you choose, Syxsense is the solution you need.

Our comprehensive patch library and predictive device discovery make the work of deploying Flash updates simple. In just a few clicks, you’ll have located every device running Flash, know which versions are on them, and deploy updates to the devices that need it.

If you want to remove Flash, our software distribution feature has an uninstall option. Again, an easy to follow wizard will help you select every device with Flash and roll it back.

The end of Flash is near. See how Syxsense will make this transition easy and start a trial today.

Schedule Your Syxsense Demo

Syxsense combines IT management, patch management, and security vulnerability scanning in one powerful solution. Get started today.

Schedule My Demo

Leave a Reply